### Method

# Gtk RecentManagermove_item

#### Declaration [src]

    gboolean
    gtk_recent_manager_move_item (
      GtkRecentManager* manager,
      const char* uri,
      const char* new_uri,
      GError** error
    )

#### Description [src]

Changes the location of a recently used resource from `uri` to `new_uri`.

Please note that this function will not affect the resource pointed by the URIs, but only the URI used in the recently used resources list.

#### Parameters

`uri`

  Type: `const char*`

  The URI of a recently used resource.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`new_uri`

  Type: `const char*`

  The new URI of the recently used resource, or `NULL` to remove the item pointed by `uri` in the list.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.